Bug 1727886

Summary: Review Request: php-sabre-uri2 - Functions for making sense out of URIs
Product: [Fedora] Fedora Reporter: Remi Collet <fedora>
Component: Package ReviewAssignee: Robert-André Mauchin <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-07-24 00:58:15 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1727888, 1727891, 1727893    

Description Remi Collet 2019-07-08 12:58:06 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/sabre/php-sabre-uri2.git/plain/php-sabre-uri2.spec?id=2f8f40db92a48c9062dd7c33152cbf005dc03ccb
SRPM URL: http://rpms.remirepo.net/SRPMS/php-sabre-uri2-2.1.2-2.remi.src.rpm
Description: 
sabre/uri is a lightweight library that provides several functions for
working with URIs, staying true to the rules of RFC3986.

Partially inspired by Node.js URL library, and created to solve real
problems in PHP applications. 100% unitested and many tests are based
on examples from RFC3986.

The library provides the following functions:
* resolve to resolve relative urls.
* normalize to aid in comparing urls.
* parse, which works like PHP's parse_url.
* build to do the exact opposite of parse.
* split to easily get the 'dirname' and 'basename' of a URL without
  all the problems those two functions have.

Autoloader: /usr/share/php/Sabre/Uri2/autoload.php


Fedora Account System Username: remi

Comment 1 Robert-André Mauchin 2019-07-12 18:38:06 UTC
Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-clause "New" or "Revised"
     License", "*No copyright* BSD 3-clause "New" or "Revised" License". 15
     files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/php-sabre-uri2/review-php-sabre-
     uri2/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/php/Sabre(php-
     sabre-event, php-sabre-vobject, php-sabre-event5, php-sabre-uri)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: php-sabre-uri2 (description)
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: php-sabre-uri2-2.1.2-2.fc31.noarch.rpm
          php-sabre-uri2-2.1.2-2.fc31.src.rpm
php-sabre-uri2.noarch: W: spelling-error %description -l en_US uri -> uric, Yuri, urn
php-sabre-uri2.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
php-sabre-uri2.noarch: W: spelling-error %description -l en_US unitested -> untested, uni tested, uni-tested
php-sabre-uri2.noarch: W: spelling-error %description -l en_US urls -> curls, purls, hurls
php-sabre-uri2.noarch: W: spelling-error %description -l en_US url -> URL, curl, purl
php-sabre-uri2.noarch: W: spelling-error %description -l en_US dirname -> surname
php-sabre-uri2.noarch: W: spelling-error %description -l en_US basename -> base name, base-name, basemen
php-sabre-uri2.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-sabre-uri2.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-sabre-uri2.src: W: spelling-error %description -l en_US uri -> uric, Yuri, urn
php-sabre-uri2.src: W: spelling-error %description -l en_US js -> dis, ks, j
php-sabre-uri2.src: W: spelling-error %description -l en_US unitested -> untested, uni tested, uni-tested
php-sabre-uri2.src: W: spelling-error %description -l en_US urls -> curls, purls, hurls
php-sabre-uri2.src: W: spelling-error %description -l en_US url -> URL, curl, purl
php-sabre-uri2.src: W: spelling-error %description -l en_US dirname -> surname
php-sabre-uri2.src: W: spelling-error %description -l en_US basename -> base name, base-name, basemen
php-sabre-uri2.src: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-sabre-uri2.src: W: spelling-error %description -l en_US usr -> use, us, user
php-sabre-uri2.src: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-sabre-uri2.src: W: strange-permission makesrc.sh 775
php-sabre-uri2.src: W: invalid-url Source0: php-sabre-uri2-2.1.2-c260a55.tgz
2 packages and 0 specfiles checked; 0 errors, 21 warnings.

Comment 3 Gwyn Ciesla 2019-07-13 18:06:52 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-sabre-uri2

Comment 4 Fedora Update System 2019-07-15 06:07:32 UTC
FEDORA-2019-c0512fc0e4 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c0512fc0e4

Comment 5 Fedora Update System 2019-07-16 00:54:01 UTC
php-sabre-uri2-2.1.2-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c0512fc0e4

Comment 6 Fedora Update System 2019-07-24 00:58:15 UTC
php-sabre-uri2-2.1.2-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.